Name:           perl-WebService-Dropbox
Version:        1.22
Release:        2%{?dist}
Summary:        Perl interface to Dropbox API
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/WebService-Dropbox/
Source0:        http://www.cpan.org/authors/id/A/AS/ASKADNA/WebService-Dropbox-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Carp)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

# for running Build.PL
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(utf8)

# Furl is optional, not yet available in Fedora
#BuildRequires:  perl(Furl) >= 2.19
#BuildRequires:  perl(IO::Socket::SSL) >= 1.954
BuildRequires:  perl(HTTP::Message) >= 6.06
BuildRequires:  perl(JSON) >= 2.59
BuildRequires:  perl(LWP::Protocol::https) >= 6.04
BuildRequires:  perl(LWP::UserAgent) >= 6.05
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Net::OAuth) >= 0.28
BuildRequires:  perl(Software::License)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(URI) >= 1.60
# for tests
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(IO::File)

# optional package, not yet available in Fedora
#Requires:       perl(Furl) >= 2.19
Requires:       perl(HTTP::Message) >= 6.06
Requires:       perl(JSON) >= 2.59
Requires:       perl(LWP::Protocol::https) >= 6.04
Requires:       perl(LWP::UserAgent) >= 6.05
Requires:       perl(Net::OAuth) >= 0.28
Requires:       perl(Software::License)
Requires:       perl(URI) >= 1.60
Requires:       perl(HTTP::Request)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provdes a Perl interface to Dropbox API with following features:
- Support Dropbox v1 REST API
- Support Furl (Fast!!!)
- Streaming IO (Low Memory)
- Default URI Escape (The specified path is UTF-8 decoded string)

%prep
%setup -q -n WebService-Dropbox-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Oct 18 2014 Robin Lee <cheeselee@fedoraproject.org> - 1.22-2
- BR added: perl(CPAN::Meta), perl(CPAN::Meta::Prereqs), perl(File::Basename),
  perl(File::Spec), perl(utf8), perl(Data::Dumper), perl(Encode),
  perl(File::Temp), perl(HTTP::Request), perl(IO::File)
- BR removed: perl(IO::Socket::SSL)
- Requires added: perl(HTTP::Request)
- Removed version restriction of perl BR
- Description updated
- Remove useless documents

* Sun Oct 12 2014 Robin Lee <cheeselee@fedoraproject.org> 1.22-1
- Specfile autogenerated by cpanspec 1.78.
